#
# spec file for package geany-plugins
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gtk3_enable 0

Name:           geany-plugins
Version:        1.29
Release:        6.25
# FIXME: Files listed inside the conditional "%if %%{gtk3_enable}" are disabled because they do not build when compiled against gtk3. On next update, try enabling each of these disabled libs and check if they build with gtk3 or not. When all of them compile against gtk3, remove the macro and conditional.
# FIXME: gendoc requires ctpl (http://ctpl.tuxfamily.org/)
Summary:        A collection of different plugins for Geany
License:        GPL-2.0+ and GPL-3.0+
Group:          Development/Tools/IDE
Url:            http://plugins.geany.org/geany-plugins/
Source:         http://plugins.geany.org/geany-plugins/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM geany-plugins-lua-5_2.patch sf#3476581 dimstar@opensuse.org -- Fix build with lua 5.2.
# FIXME: the patch breaks GeanyLua building with lua 5.1.5
Patch0:         geany-plugins-lua-5_2.patch
BuildRequires:  devhelp-devel
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libgeany0 >= 1.26
BuildRequires:  libgpgme-devel
BuildRequires:  libtool
BuildRequires:  libwnck2-devel
BuildRequires:  lua51-devel
BuildRequires:  python-gtk-devel
BuildRequires:  vala
BuildRequires:  pkgconfig(enchant) >= 1.3
BuildRequires:  pkgconfig(geany) >= 1.26
BuildRequires:  pkgconfig(glib-2.0) >= 2.16
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(libgit2) >= 0.21
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.27
# Disable this as we do not want to use this unsupported version of webkit - Leaving it in place to remind us to enable for newer versions if upstream ports it.
#BuildRequires:  pkgconfig(webkit-1.0) >= 1.1.18
Requires:       %{name}-lang = %{version}
Requires:       geany >= 1.26
Requires:       lua
Enhances:       geany
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Geany-Plugins is a collection of different plugins for Geany,
a lightweight IDE.

%lang_package
%prep
%setup -q
#patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
install -d -m755 %{buildroot}%{python_sitearch}
#mkdir -p -m 755 #{buildroot}#{python_sitearch}
pushd %{buildroot}%{python_sitearch}
%py_compile .
popd
find %{buildroot}%{_libdir} -name '*.la'  -type f -delete -print

%fdupes %{buildroot}%{_datadir}/doc/%{name}
%find_lang %{name}

%files
%defattr(-,root,root)
%doc NEWS README
# Explicitly list plugins, so we don't lose any by accident
%dir %{_libdir}/geany-plugins
%dir %{_libdir}/geany-plugins/geanylua

%{_datadir}/doc/geany-plugins/
%{_datadir}/geany-plugins/
%{_datadir}/icons/hicolor/16x16/apps/prjorg*.png

%{_libdir}/geany/addons.so
%{_libdir}/geany/autoclose.so
%{_libdir}/geany/automark.so
%{_libdir}/geany/codenav.so
%{_libdir}/geany/commander.so
%{_libdir}/geany/defineformat.so
%{_libdir}/geany/geanyctags.so
%{_libdir}/geany/geanyextrasel.so
%{_libdir}/geany/geanyinsertnum.so
%{_libdir}/geany/lipsum.so
%{_libdir}/geany/geanylua.so
%{_libdir}/geany-plugins/geanylua/libgeanylua.so
%{_libdir}/geany/geanyminiscript.so
%{_libdir}/geany/geanypg.so
%{_libdir}/geany/sendmail.so
%{_libdir}/geany/geanyvc.so
%{_libdir}/geany/geniuspaste.so
%{_libdir}/geany/git-changebar.so
%{_libdir}/geany/lineoperations.so
%{_libdir}/geany/overview.so
%{_libdir}/geany/pairtaghighlighter.so
%{_libdir}/geany/pohelper.so
%{_libdir}/geany/pretty-printer.so
%{_libdir}/geany/projectorganizer.so
%{_libdir}/geany/shiftcolumn.so
%{_libdir}/geany/spellcheck.so
%{_libdir}/geany/tableconvert.so
%{_libdir}/geany/treebrowser.so
%{_libdir}/geany/updatechecker.so
%{_libdir}/geany/xmlsnippets.so
%{_libdir}/geany/geanylatex.so
%{_libdir}/geany/geanymacro.so
%{_libdir}/geany/geanynumberedbookmarks.so
%{_libdir}/geany/geanyprj.so

%if %{gtk3_enable}
%{_libdir}/geany/debugger.so
%{_libdir}/geany/devhelp.so
%{_libdir}/geany/markdown.so
%{_libdir}/geany/multiterm.so
%{_libdir}/geany/scope.so
%{_libdir}/geany/webhelper.so
%{_libdir}/geany/geanydoc.so

%dir %{_libdir}/geany/geanypy
%dir %{_libdir}/geany/geanypy/geany
%dir %{_datadir}/geany/geanypy
%dir %{_datadir}/geany/geanypy/plugins

%{_libdir}/geany/geanypy.so
%{_libdir}/geany/geanypy/geany/__init__.py
%{_libdir}/geany/geanypy/geany/__init__.pyc
%{_libdir}/geany/geanypy/geany/console.py
%{_libdir}/geany/geanypy/geany/console.pyc
%{_libdir}/geany/geanypy/geany/loader.py
%{_libdir}/geany/geanypy/geany/loader.pyc
%{_libdir}/geany/geanypy/geany/manager.py
%{_libdir}/geany/geanypy/geany/manager.pyc
%{_libdir}/geany/geanypy/geany/plugin.py
%{_libdir}/geany/geanypy/geany/plugin.pyc
%{_libdir}/geany/geanypy/geany/signalmanager.py
%{_libdir}/geany/geanypy/geany/signalmanager.pyc
%{_datadir}/geany/geanypy/plugins/console.py
%{_datadir}/geany/geanypy/plugins/demo.py
%{_datadir}/geany/geanypy/plugins/hello.py
%endif

%files lang -f %{name}.lang

%changelog
* Thu Jan 26 2017 firebird209@gmail.com
- Update to version 1.29 (boo#1022222):
  + General:
  - Rename plugin GeanyLipsum to Lipsum
    (gh#geany/geany-plugins#472).
  + Addons:
  - Add a function to deselect marked words with one click
    (gh#geany/geany-plugins#481).
  + Commander:
  - Add keybindings for triggering a particular filter type
    (gh#geany/geany-plugins#468).
  + GeanyGenDoc:
  - Fix typos in README (gh#geany/geany-plugins#476).
  + Git-Changebar:
  - Fix an issue access the git repository in combination with
    libgit2 0.24.2.
  - Fix an off-by-one issue in tooltip hunk width calculation
    cropping 1px on the right.
  - Fix handling of documents starting with a BOM
    (gh#geany/geany-plugins#483, gh#geany/geany-plugins#482).
  + Spellcheck:
  - Strip single quotes from words' beginning and end
    (gh#geany/geany-plugins#484).
  - Fix a memory leak on duplicate dictionaries
    (gh#geany/geany-plugins#480).
  + Treebrowser:
  - Fix a typo in configuration parsing causing option for
    "open new files" have not being save/restored correctly
    (gh#geany/geany-plugins/#469, gh#geany/geany-plugins#473).
  + Updated translations.
* Mon Sep 19 2016 dimstar@opensuse.org
- Drop pkgconfig(vte) BuildRequires: geany-plugins still uses vte2
  which is not compatible with the GTK3 build of geany. This change
  does not result in any difference, since the package switched to
  GTK3 a while ago and the GTK2/VTE2 based plugins have not been
  shipped since then anyway.
* Wed Jul 20 2016 badshah400@gmail.com
- Update to version 1.28:
  + General:
  - Rename plugin GeanySendMail to SendMail
    (gh#geany/geany-plugins#43).
  - Fix some inconsistency in plugins' READMEs
    (gh#geany/geany-plugins#453).
  + Windows build: Update dependencies shipped with the package.
  + Addons:
  - tasks: Strip comment-closing sequence from task text
    (gh#geany/geany-plugins#416).
  - tasks: Do not extract tokens from non-comments
    (gh#geany/geany-plugins#416).
  + Debugger: Fix escaping target executable path if it contains
    non-ASCII (gh#geany/geany-plugins#416,
    gh#geany/geany-plugins#451).
  + GeanyGenDoc: Fix build with old rst2html
    (gh#geany/geany-plugins#414).
  + GeanyLaTeX:
  - Fix a conditional end of undo action. Without an undo-action
    might run forever (gh#geany/geany-plugins#416).
  - Improve support for GTK3 (gh#geany/geany-plugins#410).
  + GeanyLipsum: Add ellipsis to menu item requiring further user
    input (gh#geany/geany-plugins#452).
  + GeanyMacro: Fix GTK3 support (gh#geany/geany-plugins#410).
  + GeanyNumberedBookmarks: Fix GTK3 support
    (gh#geany/geany-plugins#410).
  + GeanyPrj: Fix GTK3 support (gh#geany/geany-plugins#410).
  + GeanyPy: Fix build with current Geany
    (gh#geany/geany-plugins#363).
  + PairTagHighlighter: Fix a crash when the tag name is missing
    (gh#geany/geany-plugins#442, gh#geany/geany-plugins#446,
    gh#geany/geany-plugins#447).
  + Prettyprinter: Fix several memory leaks
    (gh#geany/geany-plugins#364).
  + ProjectOrganizer: Fix duplicated tab in Project Properties.
  + Scope: Fix dependency checks on Windows
    (gh#geany/geany-plugins#409).
  + Shiftcolumn: Fix handling of end-to-start selections
    (gh#geany/geany-plugins#366).
- Changes from version 1.27: See
  /usr/share/doc/packages/geany-plugins/NEWS or online at
  https://github.com/geany/geany-plugins/blob/1.27.0/NEWS.
- Update file list:
  + geanylatex, geanymacro, geanynumberedbookmarks, geanyprj
    are GTK3 compatible now.
  + New plugin: lineoperations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Disable pkgconfig(webkit-1.0), as we do not want to use this as
  it is unsupported by upstream.
* Tue Jan 12 2016 badshah400@gmail.com
- Geany was switched to build against gtk3, so also switch
  this -plugins package to gtk3 too:
  + Disable the following plugins because they do not build
    against gtk3: Debugger, DevHelp, GeanyDoc, GeanyGenDoc,
    GeanyLaTeX, GeanyMacro, GeanyNumberedBookmarks, GeanyPrj,
    Geanypy, Markdown, MultiTerm, Scope, WebHelper.
  + Update BuildRequires:
  - Update geany version to 1.26.
  - Replace pkgconfig(gtk+-2.0) by pkgconfig(gtk+-3.0).
  - Replace pkgconfig(gtkspell-2.0) by pkgconfig(gtkspell3-3.0).
  - Remove gconf2-devel, no longer required after the switch to
    gtk3.
* Thu Dec 31 2015 badshah400@gmail.com
- Update to version 1.26:
  + General: Add a note about deprecating Waf build system --
    will be removed with 1.27.
  + Addons:
  - Add new feature to copy path of current file into clipboard
    (#291).
  - Update bookmark list also on any line changes in the
    document (SF#129, SF#39, #284).
  - Add GTK3 support (#271).
  + GeanyPy: Fix Python library loading on Debian based systems.
  + GeanyVC:
  - Add GTK3 support (#300).
  - Little improvements on commit dialog (#300).
  + GitChangeBar: Add support for libgit2 0.23 (#283).
  + Multiterm: Make a lot of strings translatable (#254).
  + Pohelper: Fix untranslated and fuzzy count in the stats
    dialog (#292).
  + ProjectOrganizer: Fix some features when the sidebar was
    never visible.
  + Scope: Use Geany spawn: maximum GDB line length fixed to
    1MB, no CPU time wasted when IDLE under Windows, 3
    preferences deleted.
  + Spellcheck: Add an option to show spelling suggestion on top
    of the context menu instead of in a submenu (still default)
    (#287, #290).
  + Updated translations.
- Update requied libgeany version in BuildRequires.
- Remove conditional from pkgconfig(libgit2) BuildRequires: Now
  builds with the version in factory.
* Sun Jul 26 2015 trcs@gmx.com
- Update to version 1.25:
  + removed geany-plugins-GCond-usage.patch, fixed upstream
  + removed geany-plugins-gdb-7_7.patch, fixed upstream
  + disabled geany-plugins-lua-5_2.patch: it breaks GeanyLua build
  + General:
  - GProject is renamed to ProjectOrganizer
  - New plugin Automark
  - New plugin GeanyCtags
  - New plugin GitChangeBar
  - New plugin Overview
  + Addons:
  - Improve URI selection
  + Autoclose:
  - Add Whitesmith style bracket formatting support
  + CodeNav:
  - Implement Go to File feature
  + Commander:
  - Improve sorting algorithm
  + Debugger:
  - Fix crash with GDB 7.7
  + GeanyLaTeX:
  - Fix automatic capitalization of multi-byte characters
  + GeanyVC:
  - Add support for WinMerge external diff viewer
  + ProjectOrganizer:
  - Add an "external directory" feature
  - Add find tag by name
  - Add ignored file patterns
  - Performance improvements in tag generation using updated Geany
    API
  + MultiTerm:
  - Fix build with recent Vala versions
  + PairTagHighlighter:
  - Fix clearing previous indicators (PR #200)
  + PoHelper:
  - Add a statistics dialog
  - Fix handling of plural forms
  + Scope:
  - Fix building on GNU/Hurd (PR #146)
  + Spellcheck:
  - Don't check code of scripting languages embedded in HTML
  - Add option to perform a spell check on document open (closes
    SF #137)
  + Tableconvert:
  - Improve handling of non-LF line ends
  - Add support for DokuWiki syntax
  + WebHelper:
  - Add support for basic bookmarks
  + Internationalization:
  - Update translations: de, fr, pt, ru
* Wed Nov 19 2014 nick.schrader@mailbox.org
- Debugger
  + Add geany-plugins-GCond-usage.patch: Fixed bug SF#116
    that made the whole application crash because of GLib (bnc#906659).
  + Add geany-plugins-gdb-7_7.patch: Fixed bug SF#112 that
    made the whole application crash because of GDB (bnc#906659).
* Mon Apr 21 2014 trcs@gmx.com
- Update to version 1.24:
  + New plugin Pohelper.
  + New plugin PairTagHighlighter.
  + New plugin Autoclose.
  + New plugin Geanypy (Python bindings).
  + New plugin Defineformat.
  + Build system improvements.
  +Commander: Add Gtk3 support.
  + Debugger: Fixing a crash when re-loading plugin.
  + GeanyGenDoc:
  - Add Gtk3 support.
  - Fix a memory leak.
  + GeanyExtraSel: Add "Toggle Rectangular/Stream".
  + GeanyInsertNum:
  - Add Gtk3 support.
  - Increase maxlines to 250000.
  + GeanyLipsum:
    + Add Gtk3 support.
  - Ensure whitespace between repetitions of Lorem Ipsum text.
  + GeanyLua:
  - Add Gtk3 support.
  - Re-enable build with C89.
  + GeanyMiniScript: Add Gtk3 support.
  + GeanyPG: Improve portability and check for system requirements.
  + GeanyVC:
  - Add support for Subversion 1.7.
  - Limit the display of diff output to 16 KB to not freeze the
    UI on huge commit-diffs.
  - Show line and column of the cursor in the commit message text
    window.
  + GProject:
  - Add Gtk3 support.
  - Display content-type-specific icons for files in the sidebar.
  - Make toolbar buttons insensitive when no files displayed.
  - Smaller fixes and improvements.
  + Markdown:
  - Add Gtk3 support.
  - Fix scroll jumping behavior.
  + Multiterm: Implement the other config VTE properties.
  + Prettyprinter: Add Gtk3 support.
  + Scope:
  - Add Gtk3 support.
  - Add support for registers.
  - Various fixes and improvements.
  + Shiftcolumn: Removed default keybindings.
  + Spellcheck:
  - Add Gtk3 support.
  - Fix check for default language if LANG contains UTF-8.
  - Remove check while typing idle callback when unloading the
    plugin.
  - Improve stripping of whitespace and punctuation characters.
  - Fix crash when closing a document quickly after modifying it.
  + Tableconvert: Add support for HTML tables in markdown files.
  + TreeBrowser:
  - Add Gtk3 support.
  - Don't collapse expanded child of node when node gets
    selected.
  - Add and improve some keybindings.
  - Add a way to open newly created files.
  - Focus editor on file open.
  + Updatechecker: Fix comparing major versions.
  + WebHelper: Add Gtk3 support.
  + Updated translations.
* Sun Mar 24 2013 dimstar@opensuse.org
- Update to version 1.23:
  + Add new plugin Commander
  + Add new plugin markdown
  + Add new plugin Scope
  + Removing plugin geanyGDB
  + Improvement of error handling in autogen.sh
  + Improvement of general documentation
  + Buildfix with waf on Windows-Systems
  + Addons:
  - Fixing of memory leaks
  - Little rewordings
  + Devhelp:
  - Fix API-calls for older GTK-versions
  - Fix a signal to avoid crash on closing of Geany
  + GeanyGenDoc: Improvement of waf-build.
  + GeanyLaTeX: Fix installation path for documentation.
  + GeanyLua:
  - Update of Scintilla bindings to 3.2.0
  - Improve pointer->int casts
  - Revisiting mechanism to find Lua-package on configuration-time
  + GeanyMacro: Fix some typos.
  + GeanyPG: Fix adding of \0 when encryption a selection
    (sf#3557458)
  + GeanyPrj: Buildfix for function not marked as external.
  + GeniusPaste:
  - Fixing of memory leaks
  - Fixing of a invalid memory free
  + Spellcheck: Perform a recheck/clear when toggling 'check while
    typing' (sf#3495051)
  + Tableconvert:
  - Rework to be more generic.
  - Improvement of LaTeX-tables being created.
  + Treebrowser:
  - Added backspace to browse up a directory.
  - Eexpand/collapse with spacebar.
  + Webhelper:
  - Show the currently hovered link in the statusbar.
  - Don't use deprecated GTK API.
- No longer pass --enable-geanygdb to configure, as the geanygdb
  plugin has been dropped by upstream.
* Wed Mar 20 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Aug 15 2012 dimstar@opensuse.org
- Update to version 1.22:
  + General:
  - Autotools build system improvements
  - Add new plugin GeanyMiniScript
  - Add new plugin GeniusPaste
  - Add new plugin MultiTerm
  - Disable GeanyGDB by default on build with autotools
  + Addons:
  - Add word wrapping addon
  + Debugger:
  - Fix build with --as-needed
  - Fix crash on 64 bit platform (sf#3449480)
  - Use asynchronous methods when possible not to freeze the UI
  - Display thread information in the stack window
  - Properly handle spaces in filenames
  - Various other bugfixes and improvements
  + Devhelp:
  - Bundle libdevhelp 2.32
  - Remove support for Google Code Search
  + GeanyLaTeX:
  - Fix crash with recent Geany versions
  - Ignore files autogenerated by biblatex in suggestions for
    cite
  + GeanyLua:
  - Fix build with recent GLib
  + GeanyMacro:
  - Add support for editing macros events
  - Support search next/search prev
  + GeanyNumberedBookmarks:
  - Only save file status if non-empty
  - Add support for saving file status next to the file itself
  - Save non-numbered bookmarks too
  + GeanyPG:
  - Fix build with --as-needed
  - Fix encryption to an untrusted key
  + GeanyPrj:
  - Add "find in project" keybinding
  - Add a setting to hide the sidebar
  + GeanyVC:
  - Go to the selected line upon blame
  - Add support for displaying the VC menu in the menubar
  + GProject:
  - Fix a crash when a project file is missing
  - Support Geany 1.22
  + Tableconvert:
  - Fix SQL tables generation
  + TreeBrowser:
  - Fix permissions on new files (sf#3415045)
  - Add "create new file" and "create new directory" keybindings
  + WebHelper:
  - Fix crash with recent versions of WebKitGTK
  - Save and restore inspector docking state
  + Updated translations.
- Pass --enable-geanygdb to configure to enable the gdb plugin.
* Tue Jan 10 2012 dimstar@opensuse.org
- Use versioned BuildRequires where they are specified in the build
  system.
- Add geany-plugins-lua-5_2.patch: Fix build with lua 5.2.
* Wed Nov 16 2011 dimstar@opensuse.org
- Update to version 0.21.1:
  + Add geanylatex/doc/ to autotools build system.
- Changes from version 0.21:
  + General:
  - Renew autotools build system
  - Add new plugin Debugger
  - Add new plugin Devhelp
  - Add new plugin GeanyPG
  - Add new plugin GeanyMacro
  - Add new plugin GeanyNumberedBookmarks
  - Add new plugin Tableconvert
  - Add new plugin XMLSnippets
  + Addons:
  - DocList addon: Add preference to define the order of the
    documents in the list (sf#3204573)
  - Tasks addon: Activate and update the task list when the Tasks
    addon is enabled
  + GeanyLaTeX:
  - Moved LaTeX-menu to a separate menu inside Geany main menu
  - Added a feature to autocapetlise letters on typing on begin
    of a sentence
  - Added a way to put a icon for \LaTeX{}-wizard into Geany's
    main toolbar
  - Added a dialog for inserting BibTeX references based on
    available *.bib-files
  - Upgrade plugin API to version 199
  - Ensure to not insert {} after \^ and \_
  - Adding a keystroke to toggle inserting {} after ^ and _
  - Fix an issue with wrong inserted formating using a keybinding
  - Small update to enable i18n also on Geany >= 0.21
  - Various bugfixes and memory leak fixes.
  + GeanyLipsum:
  - Small update to enable i18n also on Geany >= 0.21
  + GeanySendMail:
  - Some minor cleaning up of code
  - Fix for an isue with replacing of command string in case of
    %%r has not being used
  - Don't double free a variable which might ended up inside a
    segmentation fault when using plugin function more than once.
  - Small update to enable i18n also on Geany >= 0.21
  + GeanyVC:
  - Some smaller fixes for compiler warnings and memory leaks
  - Small update to enable i18n also on Geany >= 0.21
  + Spell Check:
  - Reduce artifacts on partially checked words
  - Improve 'Check as you type' feature, make it more reliably
  + Tableconvert:
  - Adding new plugin, helping on converting tabulator separated
    list into table supporting LaTeX, HTML and SQL so far.
  - Small update to enable i18n also on Geany >= 0.21
  + Updatechecker:
  - Fix an issue with init threads for older GTK/glib versions by
    updating to Geany API version 203.
  - Small update to enable i18n also on Geany >= 0.21
  - Fix a typo inside waf-build system
  + WebHelper:
  - Fix creation of configuration directory in some cases.
  - Fix missing update of navigation buttons on anchor links.
  - Fix thread initialization problem.
  - Fix some issues with keybingins on secondary windows.
  - Add a keybinding to show/hide web view's window (sf#3156262).
  - Allow for better configuration of secondary windows.
  + Updated translations.
- Re-enable webhelper plugin by uncommenting pkgconfig(webkit-1.0)
  BuildRequires.
- Add pkgconfig(vte) BuildRequires for the new debugger plugin.
- Add libgpgme-devel BuildRequires for the new GeanyPG plugin.
* Wed Jan 12 2011 vuntz@opensuse.org
- Update to version 0.20:
  + General:
  - Update of Waf build system.
  - Add new plugin UpdateChecker.
  - Add new plugin WebHelper.
  + GeanyExtraSel:
  - Respect 'Smart' home key (Geany does now).
  - Fixed Scintilla Shift+movement key convertion of rectangle
    selection.
  - Virtual spaces support.
  - Per-file column mode.
  - Added "Set Anchor", "Select to Anchor" and "Rectangle Select
    to Anchor".
  + GeanyGenDoc:
  - Bump dependency on CTPL to 0.3.
  - Add a popup menu for common actions in the documentation type
    selector.
  - Fix indentation of inserted documentation blocs.
  - Documentation type now defaults to Doxygen (rather than
    nothing).
  - Add policy PASS to completely ignore a symbol.
  - Add basic rules for PHP.
  - Fix build against GTK+ 2.16.
  - Don't copy the system configuration file to the user's one
    when hitting "Edit Current Language Configuration", only
    write it when saving changes.
  + GeanyInsertNum:
  - Thin selection support.
  + GeanyLaTeX:
  - Move LaTeX-menu to a separate menu inside Geany main menu.
  - Add a feature to auto-capitalize letters on typing on begin
    of a sentence.
  - Add a way to put an icon for LaTeX-wizard into Geany’s main
    toolbar.
  - Added a dialog for inserting BibTeX references based on
    available *.bib-files.
  + GeanySendMail:
  - Minor code cleanup.
  + TreeBrowser:
  - Added bookmarks support.
  - Added keybindings support.
  - Added mime type icons in the tree.
  - Many bugfixes and code improvements.
  + Updated translations.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: enchant-devel, geany-devel, gtkspell-devel,
    lua-devel.
  + New ones: enchant, geany, gtkspell-2.0, lua.
- Explicitly add required pkgconfig() BuildRequires: glib-2.0,
  gtk+-2.0.
- Add missing required pkgconfig() BuildRequires: libxml-2.0.
- Remove unneeded explicit pkg-config BuildRequires: when building
  GTK+-related apps, it's guaranteed to be there.
- Remove list of plugins from description: it will get outdated
  anyway.
- Explicitly list plugins we ship to make sure we don't lose any on
  updates.
* Wed Aug 25 2010 vuntz@opensuse.org
- Remove .la files.
- Add geany Enhances.
- Remove explicit dependencies on enchant and gtkspell: they will
  be added automatically.
- Fix license tag to be "GPLv2+; GPLv3+".
* Sun Aug 15 2010 badshah400@gmail.com
- Further spec file cleanup thanks to DimStar
* Thu Aug 12 2010 badshah400@gmail.com
- spec file cleanup
* Thu Aug 12 2010 badshah400@gmail.com
- Initial package (upstream version 0.19)
